// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from bosch_locator_bridge:msg/ClientControlMode.idl
// generated code does not contain a copyright notice

#ifndef BOSCH_LOCATOR_BRIDGE__MSG__DETAIL__CLIENT_CONTROL_MODE__STRUCT_H_
#define BOSCH_LOCATOR_BRIDGE__MSG__DETAIL__CLIENT_CONTROL_MODE__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

/// Constant 'CLIENT_CONTROL_STATE_INIT'.
/**
  * Constants
 */
enum
{
  bosch_locator_bridge__msg__ClientControlMode__CLIENT_CONTROL_STATE_INIT = 0
};

/// Constant 'CLIENT_CONTROL_STATE_READY'.
enum
{
  bosch_locator_bridge__msg__ClientControlMode__CLIENT_CONTROL_STATE_READY = 1
};

/// Constant 'CLIENT_CONTROL_STATE_RUN'.
enum
{
  bosch_locator_bridge__msg__ClientControlMode__CLIENT_CONTROL_STATE_RUN = 2
};

/// Constant 'CLIENT_CONTROL_STATE_NOT_AVAILABLE'.
enum
{
  bosch_locator_bridge__msg__ClientControlMode__CLIENT_CONTROL_STATE_NOT_AVAILABLE = 4
};

// Include directives for member types
// Member 'stamp'
#include "builtin_interfaces/msg/detail/time__struct.h"

/// Struct defined in msg/ClientControlMode in the package bosch_locator_bridge.
/**
  * Copyright (c) 2021 - for information on the respective copyright owner
  * see the NOTICE file and/or the repository https://github.com/boschglobal/locator_ros_bridge.
  *
  * Licensed under the Apache License, Version 2.0 (the "License");
  * you may not use this file except in compliance with the License.
  * You may obtain a copy of the License at
  *
  *     http://www.apache.org/licenses/LICENSE-2.0
  *
  * Unless required by applicable law or agreed to in writing, software
  * distributed under the License is distributed on an "AS IS" BASIS,
  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  * See the License for the specific language governing permissions and
  * limitations under the License.
 */
typedef struct bosch_locator_bridge__msg__ClientControlMode
{
  /// Timestamp of the update
  builtin_interfaces__msg__Time stamp;
  /// This mode is in RUN-state while a map is calculated live during the recording
  uint8_t visual_recording_state;
  /// While a map is generated from a recording the ClientState of the Map mode is RUN
  uint8_t map_state;
  /// This mode is in RUN-state while the system localizes itself to a map received from the Map Server
  uint8_t localization_state;
  /// This mode is in RUN-state while a recording is made
  uint8_t recording_state;
  /// This mode is RUN-state while the user works on aligning the map
  uint8_t alignment_state;
  /// This mode is RUN-state while the user is creating a mask for the laser scans
  uint8_t mask_state;
} bosch_locator_bridge__msg__ClientControlMode;

// Struct for a sequence of bosch_locator_bridge__msg__ClientControlMode.
typedef struct bosch_locator_bridge__msg__ClientControlMode__Sequence
{
  bosch_locator_bridge__msg__ClientControlMode * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} bosch_locator_bridge__msg__ClientControlMode__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // BOSCH_LOCATOR_BRIDGE__MSG__DETAIL__CLIENT_CONTROL_MODE__STRUCT_H_
