// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from bosch_locator_bridge:msg/ClientLocalizationVisualization.idl
// generated code does not contain a copyright notice

#ifndef BOSCH_LOCATOR_BRIDGE__MSG__DETAIL__CLIENT_LOCALIZATION_VISUALIZATION__STRUCT_H_
#define BOSCH_LOCATOR_BRIDGE__MSG__DETAIL__CLIENT_LOCALIZATION_VISUALIZATION__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

/// Constant 'LOC_STATUS_INFO_LOCALIZATION_NOT_RUNNING'.
/**
  * Constants
 */
enum
{
  bosch_locator_bridge__msg__ClientLocalizationVisualization__LOC_STATUS_INFO_LOCALIZATION_NOT_RUNNING = -3l
};

/// Constant 'LOC_STATUS_NOT_LOCALIZED_STARTUP'.
enum
{
  bosch_locator_bridge__msg__ClientLocalizationVisualization__LOC_STATUS_NOT_LOCALIZED_STARTUP = -2l
};

/// Constant 'LOC_STATUS_NOT_LOCALIZED'.
enum
{
  bosch_locator_bridge__msg__ClientLocalizationVisualization__LOC_STATUS_NOT_LOCALIZED = -1l
};

/// Constant 'LOC_STATUS_LOCALIZED_ODO_ONLY'.
enum
{
  bosch_locator_bridge__msg__ClientLocalizationVisualization__LOC_STATUS_LOCALIZED_ODO_ONLY = 1l
};

/// Constant 'LOC_STATUS_LOCALIZED'.
enum
{
  bosch_locator_bridge__msg__ClientLocalizationVisualization__LOC_STATUS_LOCALIZED = 2l
};

/// Constant 'LOC_STATUS_LOCALIZED_INTERNALUSE1'.
enum
{
  bosch_locator_bridge__msg__ClientLocalizationVisualization__LOC_STATUS_LOCALIZED_INTERNALUSE1 = 3l
};

/// Constant 'LOC_STATUS_LOCALIZED_INTERNALUSE2'.
enum
{
  bosch_locator_bridge__msg__ClientLocalizationVisualization__LOC_STATUS_LOCALIZED_INTERNALUSE2 = 4l
};

// Include directives for member types
// Member 'timestamp'
#include "builtin_interfaces/msg/detail/time__struct.h"

/// Struct defined in msg/ClientLocalizationVisualization in the package bosch_locator_bridge.
/**
  * Copyright (c) 2021 - for information on the respective copyright owner
  * see the NOTICE file and/or the repository https://github.com/boschglobal/locator_ros_bridge.
  *
  * Licensed under the Apache License, Version 2.0 (the "License");
  * you may not use this file except in compliance with the License.
  * You may obtain a copy of the License at
  *
  *     http://www.apache.org/licenses/LICENSE-2.0
  *
  * Unless required by applicable law or agreed to in writing, software
  * distributed under the License is distributed on an "AS IS" BASIS,
  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  * See the License for the specific language governing permissions and
  * limitations under the License.
 */
typedef struct bosch_locator_bridge__msg__ClientLocalizationVisualization
{
  /// The time at which the Localization Client received the laser scan used to generate this Datagram
  builtin_interfaces__msg__Time timestamp;
  /// currently unused; this field is reserved to match a uniqueId provided via the ClientSensorLaser interface
  uint64_t unique_id;
  /// The localization status
  int32_t loc_state;
  /// Distance traversed by the sensor since the last successful loop closure
  double distance_to_last_lc;
  /// The relative delay within the system when processing laser scans.
  /// 0: no delay; 1.0 : delay causes loop closures to be omitted when building the temporary map
  double delay;
} bosch_locator_bridge__msg__ClientLocalizationVisualization;

// Struct for a sequence of bosch_locator_bridge__msg__ClientLocalizationVisualization.
typedef struct bosch_locator_bridge__msg__ClientLocalizationVisualization__Sequence
{
  bosch_locator_bridge__msg__ClientLocalizationVisualization * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} bosch_locator_bridge__msg__ClientLocalizationVisualization__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // BOSCH_LOCATOR_BRIDGE__MSG__DETAIL__CLIENT_LOCALIZATION_VISUALIZATION__STRUCT_H_
