// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from bosch_locator_bridge:srv/ServerMapGetImageWithResolution.idl
// generated code does not contain a copyright notice

#ifndef BOSCH_LOCATOR_BRIDGE__SRV__DETAIL__SERVER_MAP_GET_IMAGE_WITH_RESOLUTION__STRUCT_H_
#define BOSCH_LOCATOR_BRIDGE__SRV__DETAIL__SERVER_MAP_GET_IMAGE_WITH_RESOLUTION__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

// Include directives for member types
// Member 'file_name'
// Member 'map_name'
#include "rosidl_runtime_c/string.h"

/// Struct defined in srv/ServerMapGetImageWithResolution in the package bosch_locator_bridge.
typedef struct bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Request
{
  /// destination to save png and yaml to (do not specify a file extension)
  rosidl_runtime_c__String file_name;
  /// pixel per meter
  uint32_t resolution;
  /// map name on map server
  rosidl_runtime_c__String map_name;
} bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Request;

// Struct for a sequence of bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Request.
typedef struct bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Request__Sequence
{
  bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Request * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Request__Sequence;

// Constants defined in the message

/// Struct defined in srv/ServerMapGetImageWithResolution in the package bosch_locator_bridge.
typedef struct bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Response
{
  uint8_t structure_needs_at_least_one_member;
} bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Response;

// Struct for a sequence of bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Response.
typedef struct bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Response__Sequence
{
  bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Response * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Response__Sequence;

// Constants defined in the message

// Include directives for member types
// Member 'info'
#include "service_msgs/msg/detail/service_event_info__struct.h"

// constants for array fields with an upper bound
// request
enum
{
  bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Event__request__MAX_SIZE = 1
};
// response
enum
{
  bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Event__response__MAX_SIZE = 1
};

/// Struct defined in srv/ServerMapGetImageWithResolution in the package bosch_locator_bridge.
typedef struct bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Event
{
  service_msgs__msg__ServiceEventInfo info;
  bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Request__Sequence request;
  bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Response__Sequence response;
} bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Event;

// Struct for a sequence of bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Event.
typedef struct bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Event__Sequence
{
  bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Event * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} bosch_locator_bridge__srv__ServerMapGetImageWithResolution_Event__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // BOSCH_LOCATOR_BRIDGE__SRV__DETAIL__SERVER_MAP_GET_IMAGE_WITH_RESOLUTION__STRUCT_H_
