// generated from rosidl_generator_c/resource/idl__functions.h.em
// with input from bosch_locator_bridge:msg/ClientControlMode.idl
// generated code does not contain a copyright notice

#ifndef BOSCH_LOCATOR_BRIDGE__MSG__DETAIL__CLIENT_CONTROL_MODE__FUNCTIONS_H_
#define BOSCH_LOCATOR_BRIDGE__MSG__DETAIL__CLIENT_CONTROL_MODE__FUNCTIONS_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stdlib.h>

#include "rosidl_runtime_c/action_type_support_struct.h"
#include "rosidl_runtime_c/message_type_support_struct.h"
#include "rosidl_runtime_c/service_type_support_struct.h"
#include "rosidl_runtime_c/type_description/type_description__struct.h"
#include "rosidl_runtime_c/type_description/type_source__struct.h"
#include "rosidl_runtime_c/type_hash.h"
#include "rosidl_runtime_c/visibility_control.h"
#include "bosch_locator_bridge/msg/rosidl_generator_c__visibility_control.h"

#include "bosch_locator_bridge/msg/detail/client_control_mode__struct.h"

/// Initialize msg/ClientControlMode message.
/**
 * If the init function is called twice for the same message without
 * calling fini inbetween previously allocated memory will be leaked.
 * \param[in,out] msg The previously allocated message pointer.
 * Fields without a default value will not be initialized by this function.
 * You might want to call memset(msg, 0, sizeof(
 * bosch_locator_bridge__msg__ClientControlMode
 * )) before or use
 * bosch_locator_bridge__msg__ClientControlMode__create()
 * to allocate and initialize the message.
 * \return true if initialization was successful, otherwise false
 */
ROSIDL_GENERATOR_C_PUBLIC_bosch_locator_bridge
bool
bosch_locator_bridge__msg__ClientControlMode__init(bosch_locator_bridge__msg__ClientControlMode * msg);

/// Finalize msg/ClientControlMode message.
/**
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_bosch_locator_bridge
void
bosch_locator_bridge__msg__ClientControlMode__fini(bosch_locator_bridge__msg__ClientControlMode * msg);

/// Create msg/ClientControlMode message.
/**
 * It allocates the memory for the message, sets the memory to zero, and
 * calls
 * bosch_locator_bridge__msg__ClientControlMode__init().
 * \return The pointer to the initialized message if successful,
 * otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_bosch_locator_bridge
bosch_locator_bridge__msg__ClientControlMode *
bosch_locator_bridge__msg__ClientControlMode__create();

/// Destroy msg/ClientControlMode message.
/**
 * It calls
 * bosch_locator_bridge__msg__ClientControlMode__fini()
 * and frees the memory of the message.
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_bosch_locator_bridge
void
bosch_locator_bridge__msg__ClientControlMode__destroy(bosch_locator_bridge__msg__ClientControlMode * msg);

/// Check for msg/ClientControlMode message equality.
/**
 * \param[in] lhs The message on the left hand size of the equality operator.
 * \param[in] rhs The message on the right hand size of the equality operator.
 * \return true if messages are equal, otherwise false.
 */
ROSIDL_GENERATOR_C_PUBLIC_bosch_locator_bridge
bool
bosch_locator_bridge__msg__ClientControlMode__are_equal(const bosch_locator_bridge__msg__ClientControlMode * lhs, const bosch_locator_bridge__msg__ClientControlMode * rhs);

/// Copy a msg/ClientControlMode message.
/**
 * This functions performs a deep copy, as opposed to the shallow copy that
 * plain assignment yields.
 *
 * \param[in] input The source message pointer.
 * \param[out] output The target message pointer, which must
 *   have been initialized before calling this function.
 * \return true if successful, or false if either pointer is null
 *   or memory allocation fails.
 */
ROSIDL_GENERATOR_C_PUBLIC_bosch_locator_bridge
bool
bosch_locator_bridge__msg__ClientControlMode__copy(
  const bosch_locator_bridge__msg__ClientControlMode * input,
  bosch_locator_bridge__msg__ClientControlMode * output);

/// Retrieve pointer to the hash of the description of this type.
ROSIDL_GENERATOR_C_PUBLIC_bosch_locator_bridge
const rosidl_type_hash_t *
bosch_locator_bridge__msg__ClientControlMode__get_type_hash(
  const rosidl_message_type_support_t * type_support);

/// Retrieve pointer to the description of this type.
ROSIDL_GENERATOR_C_PUBLIC_bosch_locator_bridge
const rosidl_runtime_c__type_description__TypeDescription *
bosch_locator_bridge__msg__ClientControlMode__get_type_description(
  const rosidl_message_type_support_t * type_support);

/// Retrieve pointer to the single raw source text that defined this type.
ROSIDL_GENERATOR_C_PUBLIC_bosch_locator_bridge
const rosidl_runtime_c__type_description__TypeSource *
bosch_locator_bridge__msg__ClientControlMode__get_individual_type_description_source(
  const rosidl_message_type_support_t * type_support);

/// Retrieve pointer to the recursive raw sources that defined the description of this type.
ROSIDL_GENERATOR_C_PUBLIC_bosch_locator_bridge
const rosidl_runtime_c__type_description__TypeSource__Sequence *
bosch_locator_bridge__msg__ClientControlMode__get_type_description_sources(
  const rosidl_message_type_support_t * type_support);

/// Initialize array of msg/ClientControlMode messages.
/**
 * It allocates the memory for the number of elements and calls
 * bosch_locator_bridge__msg__ClientControlMode__init()
 * for each element of the array.
 * \param[in,out] array The allocated array pointer.
 * \param[in] size The size / capacity of the array.
 * \return true if initialization was successful, otherwise false
 * If the array pointer is valid and the size is zero it is guaranteed
 # to return true.
 */
ROSIDL_GENERATOR_C_PUBLIC_bosch_locator_bridge
bool
bosch_locator_bridge__msg__ClientControlMode__Sequence__init(bosch_locator_bridge__msg__ClientControlMode__Sequence * array, size_t size);

/// Finalize array of msg/ClientControlMode messages.
/**
 * It calls
 * bosch_locator_bridge__msg__ClientControlMode__fini()
 * for each element of the array and frees the memory for the number of
 * elements.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_bosch_locator_bridge
void
bosch_locator_bridge__msg__ClientControlMode__Sequence__fini(bosch_locator_bridge__msg__ClientControlMode__Sequence * array);

/// Create array of msg/ClientControlMode messages.
/**
 * It allocates the memory for the array and calls
 * bosch_locator_bridge__msg__ClientControlMode__Sequence__init().
 * \param[in] size The size / capacity of the array.
 * \return The pointer to the initialized array if successful, otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_bosch_locator_bridge
bosch_locator_bridge__msg__ClientControlMode__Sequence *
bosch_locator_bridge__msg__ClientControlMode__Sequence__create(size_t size);

/// Destroy array of msg/ClientControlMode messages.
/**
 * It calls
 * bosch_locator_bridge__msg__ClientControlMode__Sequence__fini()
 * on the array,
 * and frees the memory of the array.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_bosch_locator_bridge
void
bosch_locator_bridge__msg__ClientControlMode__Sequence__destroy(bosch_locator_bridge__msg__ClientControlMode__Sequence * array);

/// Check for msg/ClientControlMode message array equality.
/**
 * \param[in] lhs The message array on the left hand size of the equality operator.
 * \param[in] rhs The message array on the right hand size of the equality operator.
 * \return true if message arrays are equal in size and content, otherwise false.
 */
ROSIDL_GENERATOR_C_PUBLIC_bosch_locator_bridge
bool
bosch_locator_bridge__msg__ClientControlMode__Sequence__are_equal(const bosch_locator_bridge__msg__ClientControlMode__Sequence * lhs, const bosch_locator_bridge__msg__ClientControlMode__Sequence * rhs);

/// Copy an array of msg/ClientControlMode messages.
/**
 * This functions performs a deep copy, as opposed to the shallow copy that
 * plain assignment yields.
 *
 * \param[in] input The source array pointer.
 * \param[out] output The target array pointer, which must
 *   have been initialized before calling this function.
 * \return true if successful, or false if either pointer
 *   is null or memory allocation fails.
 */
ROSIDL_GENERATOR_C_PUBLIC_bosch_locator_bridge
bool
bosch_locator_bridge__msg__ClientControlMode__Sequence__copy(
  const bosch_locator_bridge__msg__ClientControlMode__Sequence * input,
  bosch_locator_bridge__msg__ClientControlMode__Sequence * output);

#ifdef __cplusplus
}
#endif

#endif  // BOSCH_LOCATOR_BRIDGE__MSG__DETAIL__CLIENT_CONTROL_MODE__FUNCTIONS_H_
