// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from bosch_locator_bridge:msg/ClientGlobalAlignVisualization.idl
// generated code does not contain a copyright notice

#ifndef BOSCH_LOCATOR_BRIDGE__MSG__DETAIL__CLIENT_GLOBAL_ALIGN_VISUALIZATION__STRUCT_H_
#define BOSCH_LOCATOR_BRIDGE__MSG__DETAIL__CLIENT_GLOBAL_ALIGN_VISUALIZATION__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'timestamp'
#include "builtin_interfaces/msg/detail/time__struct.h"
// Member 'landmarks'
#include "bosch_locator_bridge/msg/detail/client_global_align_landmark_visualization_information__struct.h"
// Member 'observations'
#include "bosch_locator_bridge/msg/detail/client_global_align_landmark_observation_notice__struct.h"

/// Struct defined in msg/ClientGlobalAlignVisualization in the package bosch_locator_bridge.
/**
  * Copyright (c) 2021 - for information on the respective copyright owner
  * see the NOTICE file and/or the repository https://github.com/boschglobal/locator_ros_bridge.
  *
  * Licensed under the Apache License, Version 2.0 (the "License");
  * you may not use this file except in compliance with the License.
  * You may obtain a copy of the License at
  *
  *     http://www.apache.org/licenses/LICENSE-2.0
  *
  * Unless required by applicable law or agreed to in writing, software
  * distributed under the License is distributed on an "AS IS" BASIS,
  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  * See the License for the specific language governing permissions and
  * limitations under the License.
 */
typedef struct bosch_locator_bridge__msg__ClientGlobalAlignVisualization
{
  /// The time at which the Localization Client received the laser scan used to generate this Datagram
  builtin_interfaces__msg__Time timestamp;
  /// A unique id for matching datagrams that were emitted at the same time but by different visualization interfaces
  uint64_t visualization_id;
  /// A set of landmarks known to the system
  bosch_locator_bridge__msg__ClientGlobalAlignLandmarkVisualizationInformation__Sequence landmarks;
  /// Specifies which landmarks in the landmarks array were observed from which poses in
  /// the poses array. Note that some landmarks may have never been observed, and
  /// that some poses within the poses array may not be associated with any landmark.
  bosch_locator_bridge__msg__ClientGlobalAlignLandmarkObservationNotice__Sequence observations;
} bosch_locator_bridge__msg__ClientGlobalAlignVisualization;

// Struct for a sequence of bosch_locator_bridge__msg__ClientGlobalAlignVisualization.
typedef struct bosch_locator_bridge__msg__ClientGlobalAlignVisualization__Sequence
{
  bosch_locator_bridge__msg__ClientGlobalAlignVisualization * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} bosch_locator_bridge__msg__ClientGlobalAlignVisualization__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // BOSCH_LOCATOR_BRIDGE__MSG__DETAIL__CLIENT_GLOBAL_ALIGN_VISUALIZATION__STRUCT_H_
