// generated from rosidl_generator_cpp/resource/idl__traits.hpp.em
// with input from bosch_locator_bridge:msg/ClientLocalizationVisualization.idl
// generated code does not contain a copyright notice

#ifndef BOSCH_LOCATOR_BRIDGE__MSG__DETAIL__CLIENT_LOCALIZATION_VISUALIZATION__TRAITS_HPP_
#define BOSCH_LOCATOR_BRIDGE__MSG__DETAIL__CLIENT_LOCALIZATION_VISUALIZATION__TRAITS_HPP_

#include <stdint.h>

#include <sstream>
#include <string>
#include <type_traits>

#include "bosch_locator_bridge/msg/detail/client_localization_visualization__struct.hpp"
#include "rosidl_runtime_cpp/traits.hpp"

// Include directives for member types
// Member 'timestamp'
#include "builtin_interfaces/msg/detail/time__traits.hpp"

namespace bosch_locator_bridge
{

namespace msg
{

inline void to_flow_style_yaml(
  const ClientLocalizationVisualization & msg,
  std::ostream & out)
{
  out << "{";
  // member: timestamp
  {
    out << "timestamp: ";
    to_flow_style_yaml(msg.timestamp, out);
    out << ", ";
  }

  // member: unique_id
  {
    out << "unique_id: ";
    rosidl_generator_traits::value_to_yaml(msg.unique_id, out);
    out << ", ";
  }

  // member: loc_state
  {
    out << "loc_state: ";
    rosidl_generator_traits::value_to_yaml(msg.loc_state, out);
    out << ", ";
  }

  // member: distance_to_last_lc
  {
    out << "distance_to_last_lc: ";
    rosidl_generator_traits::value_to_yaml(msg.distance_to_last_lc, out);
    out << ", ";
  }

  // member: delay
  {
    out << "delay: ";
    rosidl_generator_traits::value_to_yaml(msg.delay, out);
  }
  out << "}";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const ClientLocalizationVisualization & msg,
  std::ostream & out, size_t indentation = 0)
{
  // member: timestamp
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "timestamp:\n";
    to_block_style_yaml(msg.timestamp, out, indentation + 2);
  }

  // member: unique_id
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "unique_id: ";
    rosidl_generator_traits::value_to_yaml(msg.unique_id, out);
    out << "\n";
  }

  // member: loc_state
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "loc_state: ";
    rosidl_generator_traits::value_to_yaml(msg.loc_state, out);
    out << "\n";
  }

  // member: distance_to_last_lc
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "distance_to_last_lc: ";
    rosidl_generator_traits::value_to_yaml(msg.distance_to_last_lc, out);
    out << "\n";
  }

  // member: delay
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "delay: ";
    rosidl_generator_traits::value_to_yaml(msg.delay, out);
    out << "\n";
  }
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const ClientLocalizationVisualization & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace msg

}  // namespace bosch_locator_bridge

namespace rosidl_generator_traits
{

[[deprecated("use bosch_locator_bridge::msg::to_block_style_yaml() instead")]]
inline void to_yaml(
  const bosch_locator_bridge::msg::ClientLocalizationVisualization & msg,
  std::ostream & out, size_t indentation = 0)
{
  bosch_locator_bridge::msg::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use bosch_locator_bridge::msg::to_yaml() instead")]]
inline std::string to_yaml(const bosch_locator_bridge::msg::ClientLocalizationVisualization & msg)
{
  return bosch_locator_bridge::msg::to_yaml(msg);
}

template<>
inline const char * data_type<bosch_locator_bridge::msg::ClientLocalizationVisualization>()
{
  return "bosch_locator_bridge::msg::ClientLocalizationVisualization";
}

template<>
inline const char * name<bosch_locator_bridge::msg::ClientLocalizationVisualization>()
{
  return "bosch_locator_bridge/msg/ClientLocalizationVisualization";
}

template<>
struct has_fixed_size<bosch_locator_bridge::msg::ClientLocalizationVisualization>
  : std::integral_constant<bool, has_fixed_size<builtin_interfaces::msg::Time>::value> {};

template<>
struct has_bounded_size<bosch_locator_bridge::msg::ClientLocalizationVisualization>
  : std::integral_constant<bool, has_bounded_size<builtin_interfaces::msg::Time>::value> {};

template<>
struct is_message<bosch_locator_bridge::msg::ClientLocalizationVisualization>
  : std::true_type {};

}  // namespace rosidl_generator_traits

#endif  // BOSCH_LOCATOR_BRIDGE__MSG__DETAIL__CLIENT_LOCALIZATION_VISUALIZATION__TRAITS_HPP_
