// generated from rosidl_typesupport_introspection_cpp/resource/idl__type_support.cpp.em
// with input from bosch_locator_bridge:msg/ClientRecordingVisualization.idl
// generated code does not contain a copyright notice

#include "array"
#include "cstddef"
#include "string"
#include "vector"
#include "rosidl_runtime_c/message_type_support_struct.h"
#include "rosidl_typesupport_cpp/message_type_support.hpp"
#include "rosidl_typesupport_interface/macros.h"
#include "bosch_locator_bridge/msg/detail/client_recording_visualization__functions.h"
#include "bosch_locator_bridge/msg/detail/client_recording_visualization__struct.hpp"
#include "rosidl_typesupport_introspection_cpp/field_types.hpp"
#include "rosidl_typesupport_introspection_cpp/identifier.hpp"
#include "rosidl_typesupport_introspection_cpp/message_introspection.hpp"
#include "rosidl_typesupport_introspection_cpp/message_type_support_decl.hpp"
#include "rosidl_typesupport_introspection_cpp/visibility_control.h"

namespace bosch_locator_bridge
{

namespace msg
{

namespace rosidl_typesupport_introspection_cpp
{

void ClientRecordingVisualization_init_function(
  void * message_memory, rosidl_runtime_cpp::MessageInitialization _init)
{
  new (message_memory) bosch_locator_bridge::msg::ClientRecordingVisualization(_init);
}

void ClientRecordingVisualization_fini_function(void * message_memory)
{
  auto typed_message = static_cast<bosch_locator_bridge::msg::ClientRecordingVisualization *>(message_memory);
  typed_message->~ClientRecordingVisualization();
}

size_t size_function__ClientRecordingVisualization__path_types(const void * untyped_member)
{
  const auto * member = reinterpret_cast<const std::vector<int32_t> *>(untyped_member);
  return member->size();
}

const void * get_const_function__ClientRecordingVisualization__path_types(const void * untyped_member, size_t index)
{
  const auto & member =
    *reinterpret_cast<const std::vector<int32_t> *>(untyped_member);
  return &member[index];
}

void * get_function__ClientRecordingVisualization__path_types(void * untyped_member, size_t index)
{
  auto & member =
    *reinterpret_cast<std::vector<int32_t> *>(untyped_member);
  return &member[index];
}

void fetch_function__ClientRecordingVisualization__path_types(
  const void * untyped_member, size_t index, void * untyped_value)
{
  const auto & item = *reinterpret_cast<const int32_t *>(
    get_const_function__ClientRecordingVisualization__path_types(untyped_member, index));
  auto & value = *reinterpret_cast<int32_t *>(untyped_value);
  value = item;
}

void assign_function__ClientRecordingVisualization__path_types(
  void * untyped_member, size_t index, const void * untyped_value)
{
  auto & item = *reinterpret_cast<int32_t *>(
    get_function__ClientRecordingVisualization__path_types(untyped_member, index));
  const auto & value = *reinterpret_cast<const int32_t *>(untyped_value);
  item = value;
}

void resize_function__ClientRecordingVisualization__path_types(void * untyped_member, size_t size)
{
  auto * member =
    reinterpret_cast<std::vector<int32_t> *>(untyped_member);
  member->resize(size);
}

static const ::rosidl_typesupport_introspection_cpp::MessageMember ClientRecordingVisualization_message_member_array[7] = {
  {
    "timestamp",  // name
    ::rosidl_typesupport_introspection_cpp::ROS_TYPE_MESSAGE,  // type
    0,  // upper bound of string
    ::rosidl_typesupport_introspection_cpp::get_message_type_support_handle<builtin_interfaces::msg::Time>(),  // members of sub message
    false,  // is array
    0,  // array size
    false,  // is upper bound
    offsetof(bosch_locator_bridge::msg::ClientRecordingVisualization, timestamp),  // bytes offset in struct
    nullptr,  // default value
    nullptr,  // size() function pointer
    nullptr,  // get_const(index) function pointer
    nullptr,  // get(index) function pointer
    nullptr,  // fetch(index, &value) function pointer
    nullptr,  // assign(index, value) function pointer
    nullptr  // resize(index) function pointer
  },
  {
    "visualization_id",  // name
    ::rosidl_typesupport_introspection_cpp::ROS_TYPE_UINT64,  // type
    0,  // upper bound of string
    nullptr,  // members of sub message
    false,  // is array
    0,  // array size
    false,  // is upper bound
    offsetof(bosch_locator_bridge::msg::ClientRecordingVisualization, visualization_id),  // bytes offset in struct
    nullptr,  // default value
    nullptr,  // size() function pointer
    nullptr,  // get_const(index) function pointer
    nullptr,  // get(index) function pointer
    nullptr,  // fetch(index, &value) function pointer
    nullptr,  // assign(index, value) function pointer
    nullptr  // resize(index) function pointer
  },
  {
    "status",  // name
    ::rosidl_typesupport_introspection_cpp::ROS_TYPE_INT32,  // type
    0,  // upper bound of string
    nullptr,  // members of sub message
    false,  // is array
    0,  // array size
    false,  // is upper bound
    offsetof(bosch_locator_bridge::msg::ClientRecordingVisualization, status),  // bytes offset in struct
    nullptr,  // default value
    nullptr,  // size() function pointer
    nullptr,  // get_const(index) function pointer
    nullptr,  // get(index) function pointer
    nullptr,  // fetch(index, &value) function pointer
    nullptr,  // assign(index, value) function pointer
    nullptr  // resize(index) function pointer
  },
  {
    "distance_to_last_lc",  // name
    ::rosidl_typesupport_introspection_cpp::ROS_TYPE_DOUBLE,  // type
    0,  // upper bound of string
    nullptr,  // members of sub message
    false,  // is array
    0,  // array size
    false,  // is upper bound
    offsetof(bosch_locator_bridge::msg::ClientRecordingVisualization, distance_to_last_lc),  // bytes offset in struct
    nullptr,  // default value
    nullptr,  // size() function pointer
    nullptr,  // get_const(index) function pointer
    nullptr,  // get(index) function pointer
    nullptr,  // fetch(index, &value) function pointer
    nullptr,  // assign(index, value) function pointer
    nullptr  // resize(index) function pointer
  },
  {
    "delay",  // name
    ::rosidl_typesupport_introspection_cpp::ROS_TYPE_DOUBLE,  // type
    0,  // upper bound of string
    nullptr,  // members of sub message
    false,  // is array
    0,  // array size
    false,  // is upper bound
    offsetof(bosch_locator_bridge::msg::ClientRecordingVisualization, delay),  // bytes offset in struct
    nullptr,  // default value
    nullptr,  // size() function pointer
    nullptr,  // get_const(index) function pointer
    nullptr,  // get(index) function pointer
    nullptr,  // fetch(index, &value) function pointer
    nullptr,  // assign(index, value) function pointer
    nullptr  // resize(index) function pointer
  },
  {
    "progress",  // name
    ::rosidl_typesupport_introspection_cpp::ROS_TYPE_DOUBLE,  // type
    0,  // upper bound of string
    nullptr,  // members of sub message
    false,  // is array
    0,  // array size
    false,  // is upper bound
    offsetof(bosch_locator_bridge::msg::ClientRecordingVisualization, progress),  // bytes offset in struct
    nullptr,  // default value
    nullptr,  // size() function pointer
    nullptr,  // get_const(index) function pointer
    nullptr,  // get(index) function pointer
    nullptr,  // fetch(index, &value) function pointer
    nullptr,  // assign(index, value) function pointer
    nullptr  // resize(index) function pointer
  },
  {
    "path_types",  // name
    ::rosidl_typesupport_introspection_cpp::ROS_TYPE_INT32,  // type
    0,  // upper bound of string
    nullptr,  // members of sub message
    true,  // is array
    0,  // array size
    false,  // is upper bound
    offsetof(bosch_locator_bridge::msg::ClientRecordingVisualization, path_types),  // bytes offset in struct
    nullptr,  // default value
    size_function__ClientRecordingVisualization__path_types,  // size() function pointer
    get_const_function__ClientRecordingVisualization__path_types,  // get_const(index) function pointer
    get_function__ClientRecordingVisualization__path_types,  // get(index) function pointer
    fetch_function__ClientRecordingVisualization__path_types,  // fetch(index, &value) function pointer
    assign_function__ClientRecordingVisualization__path_types,  // assign(index, value) function pointer
    resize_function__ClientRecordingVisualization__path_types  // resize(index) function pointer
  }
};

static const ::rosidl_typesupport_introspection_cpp::MessageMembers ClientRecordingVisualization_message_members = {
  "bosch_locator_bridge::msg",  // message namespace
  "ClientRecordingVisualization",  // message name
  7,  // number of fields
  sizeof(bosch_locator_bridge::msg::ClientRecordingVisualization),
  ClientRecordingVisualization_message_member_array,  // message members
  ClientRecordingVisualization_init_function,  // function to initialize message memory (memory has to be allocated)
  ClientRecordingVisualization_fini_function  // function to terminate message instance (will not free memory)
};

static const rosidl_message_type_support_t ClientRecordingVisualization_message_type_support_handle = {
  ::rosidl_typesupport_introspection_cpp::typesupport_identifier,
  &ClientRecordingVisualization_message_members,
  get_message_typesupport_handle_function,
  &bosch_locator_bridge__msg__ClientRecordingVisualization__get_type_hash,
  &bosch_locator_bridge__msg__ClientRecordingVisualization__get_type_description,
  &bosch_locator_bridge__msg__ClientRecordingVisualization__get_type_description_sources,
};

}  // namespace rosidl_typesupport_introspection_cpp

}  // namespace msg

}  // namespace bosch_locator_bridge


namespace rosidl_typesupport_introspection_cpp
{

template<>
ROSIDL_TYPESUPPORT_INTROSPECTION_CPP_PUBLIC
const rosidl_message_type_support_t *
get_message_type_support_handle<bosch_locator_bridge::msg::ClientRecordingVisualization>()
{
  return &::bosch_locator_bridge::msg::rosidl_typesupport_introspection_cpp::ClientRecordingVisualization_message_type_support_handle;
}

}  // namespace rosidl_typesupport_introspection_cpp

#ifdef __cplusplus
extern "C"
{
#endif

ROSIDL_TYPESUPPORT_INTROSPECTION_CPP_PUBLIC
const rosidl_message_type_support_t *
ROSIDL_TYPESUPPORT_INTERFACE__MESSAGE_SYMBOL_NAME(rosidl_typesupport_introspection_cpp, bosch_locator_bridge, msg, ClientRecordingVisualization)() {
  return &::bosch_locator_bridge::msg::rosidl_typesupport_introspection_cpp::ClientRecordingVisualization_message_type_support_handle;
}

#ifdef __cplusplus
}
#endif
