// generated from rosidl_generator_cpp/resource/idl__traits.hpp.em
// with input from bosch_locator_bridge:srv/ClientMapList.idl
// generated code does not contain a copyright notice

#ifndef BOSCH_LOCATOR_BRIDGE__SRV__DETAIL__CLIENT_MAP_LIST__TRAITS_HPP_
#define BOSCH_LOCATOR_BRIDGE__SRV__DETAIL__CLIENT_MAP_LIST__TRAITS_HPP_

#include <stdint.h>

#include <sstream>
#include <string>
#include <type_traits>

#include "bosch_locator_bridge/srv/detail/client_map_list__struct.hpp"
#include "rosidl_runtime_cpp/traits.hpp"

namespace bosch_locator_bridge
{

namespace srv
{

inline void to_flow_style_yaml(
  const ClientMapList_Request & msg,
  std::ostream & out)
{
  (void)msg;
  out << "null";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const ClientMapList_Request & msg,
  std::ostream & out, size_t indentation = 0)
{
  (void)msg;
  (void)indentation;
  out << "null\n";
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const ClientMapList_Request & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace srv

}  // namespace bosch_locator_bridge

namespace rosidl_generator_traits
{

[[deprecated("use bosch_locator_bridge::srv::to_block_style_yaml() instead")]]
inline void to_yaml(
  const bosch_locator_bridge::srv::ClientMapList_Request & msg,
  std::ostream & out, size_t indentation = 0)
{
  bosch_locator_bridge::srv::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use bosch_locator_bridge::srv::to_yaml() instead")]]
inline std::string to_yaml(const bosch_locator_bridge::srv::ClientMapList_Request & msg)
{
  return bosch_locator_bridge::srv::to_yaml(msg);
}

template<>
inline const char * data_type<bosch_locator_bridge::srv::ClientMapList_Request>()
{
  return "bosch_locator_bridge::srv::ClientMapList_Request";
}

template<>
inline const char * name<bosch_locator_bridge::srv::ClientMapList_Request>()
{
  return "bosch_locator_bridge/srv/ClientMapList_Request";
}

template<>
struct has_fixed_size<bosch_locator_bridge::srv::ClientMapList_Request>
  : std::integral_constant<bool, true> {};

template<>
struct has_bounded_size<bosch_locator_bridge::srv::ClientMapList_Request>
  : std::integral_constant<bool, true> {};

template<>
struct is_message<bosch_locator_bridge::srv::ClientMapList_Request>
  : std::true_type {};

}  // namespace rosidl_generator_traits

namespace bosch_locator_bridge
{

namespace srv
{

inline void to_flow_style_yaml(
  const ClientMapList_Response & msg,
  std::ostream & out)
{
  out << "{";
  // member: names
  {
    if (msg.names.size() == 0) {
      out << "names: []";
    } else {
      out << "names: [";
      size_t pending_items = msg.names.size();
      for (auto item : msg.names) {
        rosidl_generator_traits::value_to_yaml(item, out);
        if (--pending_items > 0) {
          out << ", ";
        }
      }
      out << "]";
    }
  }
  out << "}";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const ClientMapList_Response & msg,
  std::ostream & out, size_t indentation = 0)
{
  // member: names
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    if (msg.names.size() == 0) {
      out << "names: []\n";
    } else {
      out << "names:\n";
      for (auto item : msg.names) {
        if (indentation > 0) {
          out << std::string(indentation, ' ');
        }
        out << "- ";
        rosidl_generator_traits::value_to_yaml(item, out);
        out << "\n";
      }
    }
  }
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const ClientMapList_Response & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace srv

}  // namespace bosch_locator_bridge

namespace rosidl_generator_traits
{

[[deprecated("use bosch_locator_bridge::srv::to_block_style_yaml() instead")]]
inline void to_yaml(
  const bosch_locator_bridge::srv::ClientMapList_Response & msg,
  std::ostream & out, size_t indentation = 0)
{
  bosch_locator_bridge::srv::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use bosch_locator_bridge::srv::to_yaml() instead")]]
inline std::string to_yaml(const bosch_locator_bridge::srv::ClientMapList_Response & msg)
{
  return bosch_locator_bridge::srv::to_yaml(msg);
}

template<>
inline const char * data_type<bosch_locator_bridge::srv::ClientMapList_Response>()
{
  return "bosch_locator_bridge::srv::ClientMapList_Response";
}

template<>
inline const char * name<bosch_locator_bridge::srv::ClientMapList_Response>()
{
  return "bosch_locator_bridge/srv/ClientMapList_Response";
}

template<>
struct has_fixed_size<bosch_locator_bridge::srv::ClientMapList_Response>
  : std::integral_constant<bool, false> {};

template<>
struct has_bounded_size<bosch_locator_bridge::srv::ClientMapList_Response>
  : std::integral_constant<bool, false> {};

template<>
struct is_message<bosch_locator_bridge::srv::ClientMapList_Response>
  : std::true_type {};

}  // namespace rosidl_generator_traits

// Include directives for member types
// Member 'info'
#include "service_msgs/msg/detail/service_event_info__traits.hpp"

namespace bosch_locator_bridge
{

namespace srv
{

inline void to_flow_style_yaml(
  const ClientMapList_Event & msg,
  std::ostream & out)
{
  out << "{";
  // member: info
  {
    out << "info: ";
    to_flow_style_yaml(msg.info, out);
    out << ", ";
  }

  // member: request
  {
    if (msg.request.size() == 0) {
      out << "request: []";
    } else {
      out << "request: [";
      size_t pending_items = msg.request.size();
      for (auto item : msg.request) {
        to_flow_style_yaml(item, out);
        if (--pending_items > 0) {
          out << ", ";
        }
      }
      out << "]";
    }
    out << ", ";
  }

  // member: response
  {
    if (msg.response.size() == 0) {
      out << "response: []";
    } else {
      out << "response: [";
      size_t pending_items = msg.response.size();
      for (auto item : msg.response) {
        to_flow_style_yaml(item, out);
        if (--pending_items > 0) {
          out << ", ";
        }
      }
      out << "]";
    }
  }
  out << "}";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const ClientMapList_Event & msg,
  std::ostream & out, size_t indentation = 0)
{
  // member: info
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "info:\n";
    to_block_style_yaml(msg.info, out, indentation + 2);
  }

  // member: request
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    if (msg.request.size() == 0) {
      out << "request: []\n";
    } else {
      out << "request:\n";
      for (auto item : msg.request) {
        if (indentation > 0) {
          out << std::string(indentation, ' ');
        }
        out << "-\n";
        to_block_style_yaml(item, out, indentation + 2);
      }
    }
  }

  // member: response
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    if (msg.response.size() == 0) {
      out << "response: []\n";
    } else {
      out << "response:\n";
      for (auto item : msg.response) {
        if (indentation > 0) {
          out << std::string(indentation, ' ');
        }
        out << "-\n";
        to_block_style_yaml(item, out, indentation + 2);
      }
    }
  }
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const ClientMapList_Event & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace srv

}  // namespace bosch_locator_bridge

namespace rosidl_generator_traits
{

[[deprecated("use bosch_locator_bridge::srv::to_block_style_yaml() instead")]]
inline void to_yaml(
  const bosch_locator_bridge::srv::ClientMapList_Event & msg,
  std::ostream & out, size_t indentation = 0)
{
  bosch_locator_bridge::srv::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use bosch_locator_bridge::srv::to_yaml() instead")]]
inline std::string to_yaml(const bosch_locator_bridge::srv::ClientMapList_Event & msg)
{
  return bosch_locator_bridge::srv::to_yaml(msg);
}

template<>
inline const char * data_type<bosch_locator_bridge::srv::ClientMapList_Event>()
{
  return "bosch_locator_bridge::srv::ClientMapList_Event";
}

template<>
inline const char * name<bosch_locator_bridge::srv::ClientMapList_Event>()
{
  return "bosch_locator_bridge/srv/ClientMapList_Event";
}

template<>
struct has_fixed_size<bosch_locator_bridge::srv::ClientMapList_Event>
  : std::integral_constant<bool, false> {};

template<>
struct has_bounded_size<bosch_locator_bridge::srv::ClientMapList_Event>
  : std::integral_constant<bool, has_bounded_size<bosch_locator_bridge::srv::ClientMapList_Request>::value && has_bounded_size<bosch_locator_bridge::srv::ClientMapList_Response>::value && has_bounded_size<service_msgs::msg::ServiceEventInfo>::value> {};

template<>
struct is_message<bosch_locator_bridge::srv::ClientMapList_Event>
  : std::true_type {};

}  // namespace rosidl_generator_traits

namespace rosidl_generator_traits
{

template<>
inline const char * data_type<bosch_locator_bridge::srv::ClientMapList>()
{
  return "bosch_locator_bridge::srv::ClientMapList";
}

template<>
inline const char * name<bosch_locator_bridge::srv::ClientMapList>()
{
  return "bosch_locator_bridge/srv/ClientMapList";
}

template<>
struct has_fixed_size<bosch_locator_bridge::srv::ClientMapList>
  : std::integral_constant<
    bool,
    has_fixed_size<bosch_locator_bridge::srv::ClientMapList_Request>::value &&
    has_fixed_size<bosch_locator_bridge::srv::ClientMapList_Response>::value
  >
{
};

template<>
struct has_bounded_size<bosch_locator_bridge::srv::ClientMapList>
  : std::integral_constant<
    bool,
    has_bounded_size<bosch_locator_bridge::srv::ClientMapList_Request>::value &&
    has_bounded_size<bosch_locator_bridge::srv::ClientMapList_Response>::value
  >
{
};

template<>
struct is_service<bosch_locator_bridge::srv::ClientMapList>
  : std::true_type
{
};

template<>
struct is_service_request<bosch_locator_bridge::srv::ClientMapList_Request>
  : std::true_type
{
};

template<>
struct is_service_response<bosch_locator_bridge::srv::ClientMapList_Response>
  : std::true_type
{
};

}  // namespace rosidl_generator_traits

#endif  // BOSCH_LOCATOR_BRIDGE__SRV__DETAIL__CLIENT_MAP_LIST__TRAITS_HPP_
