// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from bosch_locator_bridge:srv/ServerMapList.idl
// generated code does not contain a copyright notice

#ifndef BOSCH_LOCATOR_BRIDGE__SRV__DETAIL__SERVER_MAP_LIST__STRUCT_H_
#define BOSCH_LOCATOR_BRIDGE__SRV__DETAIL__SERVER_MAP_LIST__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

/// Struct defined in srv/ServerMapList in the package bosch_locator_bridge.
typedef struct bosch_locator_bridge__srv__ServerMapList_Request
{
  uint8_t structure_needs_at_least_one_member;
} bosch_locator_bridge__srv__ServerMapList_Request;

// Struct for a sequence of bosch_locator_bridge__srv__ServerMapList_Request.
typedef struct bosch_locator_bridge__srv__ServerMapList_Request__Sequence
{
  bosch_locator_bridge__srv__ServerMapList_Request * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} bosch_locator_bridge__srv__ServerMapList_Request__Sequence;

// Constants defined in the message

// Include directives for member types
// Member 'names'
#include "rosidl_runtime_c/string.h"

/// Struct defined in srv/ServerMapList in the package bosch_locator_bridge.
typedef struct bosch_locator_bridge__srv__ServerMapList_Response
{
  rosidl_runtime_c__String__Sequence names;
} bosch_locator_bridge__srv__ServerMapList_Response;

// Struct for a sequence of bosch_locator_bridge__srv__ServerMapList_Response.
typedef struct bosch_locator_bridge__srv__ServerMapList_Response__Sequence
{
  bosch_locator_bridge__srv__ServerMapList_Response * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} bosch_locator_bridge__srv__ServerMapList_Response__Sequence;

// Constants defined in the message

// Include directives for member types
// Member 'info'
#include "service_msgs/msg/detail/service_event_info__struct.h"

// constants for array fields with an upper bound
// request
enum
{
  bosch_locator_bridge__srv__ServerMapList_Event__request__MAX_SIZE = 1
};
// response
enum
{
  bosch_locator_bridge__srv__ServerMapList_Event__response__MAX_SIZE = 1
};

/// Struct defined in srv/ServerMapList in the package bosch_locator_bridge.
typedef struct bosch_locator_bridge__srv__ServerMapList_Event
{
  service_msgs__msg__ServiceEventInfo info;
  bosch_locator_bridge__srv__ServerMapList_Request__Sequence request;
  bosch_locator_bridge__srv__ServerMapList_Response__Sequence response;
} bosch_locator_bridge__srv__ServerMapList_Event;

// Struct for a sequence of bosch_locator_bridge__srv__ServerMapList_Event.
typedef struct bosch_locator_bridge__srv__ServerMapList_Event__Sequence
{
  bosch_locator_bridge__srv__ServerMapList_Event * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} bosch_locator_bridge__srv__ServerMapList_Event__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // BOSCH_LOCATOR_BRIDGE__SRV__DETAIL__SERVER_MAP_LIST__STRUCT_H_
