// generated from rosidl_generator_cpp/resource/idl__struct.hpp.em
// with input from bosch_locator_bridge:srv/StartRecording.idl
// generated code does not contain a copyright notice

#ifndef BOSCH_LOCATOR_BRIDGE__SRV__DETAIL__START_RECORDING__STRUCT_HPP_
#define BOSCH_LOCATOR_BRIDGE__SRV__DETAIL__START_RECORDING__STRUCT_HPP_

#include <algorithm>
#include <array>
#include <memory>
#include <string>
#include <vector>

#include "rosidl_runtime_cpp/bounded_vector.hpp"
#include "rosidl_runtime_cpp/message_initialization.hpp"


#ifndef _WIN32
# define DEPRECATED__bosch_locator_bridge__srv__StartRecording_Request __attribute__((deprecated))
#else
# define DEPRECATED__bosch_locator_bridge__srv__StartRecording_Request __declspec(deprecated)
#endif

namespace bosch_locator_bridge
{

namespace srv
{

// message struct
template<class ContainerAllocator>
struct StartRecording_Request_
{
  using Type = StartRecording_Request_<ContainerAllocator>;

  explicit StartRecording_Request_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->name = "";
    }
  }

  explicit StartRecording_Request_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : name(_alloc)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->name = "";
    }
  }

  // field types and members
  using _name_type =
    std::basic_string<char, std::char_traits<char>, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<char>>;
  _name_type name;

  // setters for named parameter idiom
  Type & set__name(
    const std::basic_string<char, std::char_traits<char>, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<char>> & _arg)
  {
    this->name = _arg;
    return *this;
  }

  // constant declarations

  // pointer types
  using RawPtr =
    bosch_locator_bridge::srv::StartRecording_Request_<ContainerAllocator> *;
  using ConstRawPtr =
    const bosch_locator_bridge::srv::StartRecording_Request_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<bosch_locator_bridge::srv::StartRecording_Request_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<bosch_locator_bridge::srv::StartRecording_Request_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      bosch_locator_bridge::srv::StartRecording_Request_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<bosch_locator_bridge::srv::StartRecording_Request_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      bosch_locator_bridge::srv::StartRecording_Request_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<bosch_locator_bridge::srv::StartRecording_Request_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<bosch_locator_bridge::srv::StartRecording_Request_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<bosch_locator_bridge::srv::StartRecording_Request_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__bosch_locator_bridge__srv__StartRecording_Request
    std::shared_ptr<bosch_locator_bridge::srv::StartRecording_Request_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__bosch_locator_bridge__srv__StartRecording_Request
    std::shared_ptr<bosch_locator_bridge::srv::StartRecording_Request_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const StartRecording_Request_ & other) const
  {
    if (this->name != other.name) {
      return false;
    }
    return true;
  }
  bool operator!=(const StartRecording_Request_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct StartRecording_Request_

// alias to use template instance with default allocator
using StartRecording_Request =
  bosch_locator_bridge::srv::StartRecording_Request_<std::allocator<void>>;

// constant definitions

}  // namespace srv

}  // namespace bosch_locator_bridge


#ifndef _WIN32
# define DEPRECATED__bosch_locator_bridge__srv__StartRecording_Response __attribute__((deprecated))
#else
# define DEPRECATED__bosch_locator_bridge__srv__StartRecording_Response __declspec(deprecated)
#endif

namespace bosch_locator_bridge
{

namespace srv
{

// message struct
template<class ContainerAllocator>
struct StartRecording_Response_
{
  using Type = StartRecording_Response_<ContainerAllocator>;

  explicit StartRecording_Response_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->structure_needs_at_least_one_member = 0;
    }
  }

  explicit StartRecording_Response_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  {
    (void)_alloc;
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->structure_needs_at_least_one_member = 0;
    }
  }

  // field types and members
  using _structure_needs_at_least_one_member_type =
    uint8_t;
  _structure_needs_at_least_one_member_type structure_needs_at_least_one_member;


  // constant declarations

  // pointer types
  using RawPtr =
    bosch_locator_bridge::srv::StartRecording_Response_<ContainerAllocator> *;
  using ConstRawPtr =
    const bosch_locator_bridge::srv::StartRecording_Response_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<bosch_locator_bridge::srv::StartRecording_Response_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<bosch_locator_bridge::srv::StartRecording_Response_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      bosch_locator_bridge::srv::StartRecording_Response_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<bosch_locator_bridge::srv::StartRecording_Response_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      bosch_locator_bridge::srv::StartRecording_Response_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<bosch_locator_bridge::srv::StartRecording_Response_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<bosch_locator_bridge::srv::StartRecording_Response_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<bosch_locator_bridge::srv::StartRecording_Response_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__bosch_locator_bridge__srv__StartRecording_Response
    std::shared_ptr<bosch_locator_bridge::srv::StartRecording_Response_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__bosch_locator_bridge__srv__StartRecording_Response
    std::shared_ptr<bosch_locator_bridge::srv::StartRecording_Response_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const StartRecording_Response_ & other) const
  {
    if (this->structure_needs_at_least_one_member != other.structure_needs_at_least_one_member) {
      return false;
    }
    return true;
  }
  bool operator!=(const StartRecording_Response_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct StartRecording_Response_

// alias to use template instance with default allocator
using StartRecording_Response =
  bosch_locator_bridge::srv::StartRecording_Response_<std::allocator<void>>;

// constant definitions

}  // namespace srv

}  // namespace bosch_locator_bridge


// Include directives for member types
// Member 'info'
#include "service_msgs/msg/detail/service_event_info__struct.hpp"

#ifndef _WIN32
# define DEPRECATED__bosch_locator_bridge__srv__StartRecording_Event __attribute__((deprecated))
#else
# define DEPRECATED__bosch_locator_bridge__srv__StartRecording_Event __declspec(deprecated)
#endif

namespace bosch_locator_bridge
{

namespace srv
{

// message struct
template<class ContainerAllocator>
struct StartRecording_Event_
{
  using Type = StartRecording_Event_<ContainerAllocator>;

  explicit StartRecording_Event_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : info(_init)
  {
    (void)_init;
  }

  explicit StartRecording_Event_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : info(_alloc, _init)
  {
    (void)_init;
  }

  // field types and members
  using _info_type =
    service_msgs::msg::ServiceEventInfo_<ContainerAllocator>;
  _info_type info;
  using _request_type =
    rosidl_runtime_cpp::BoundedVector<bosch_locator_bridge::srv::StartRecording_Request_<ContainerAllocator>, 1, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<bosch_locator_bridge::srv::StartRecording_Request_<ContainerAllocator>>>;
  _request_type request;
  using _response_type =
    rosidl_runtime_cpp::BoundedVector<bosch_locator_bridge::srv::StartRecording_Response_<ContainerAllocator>, 1, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<bosch_locator_bridge::srv::StartRecording_Response_<ContainerAllocator>>>;
  _response_type response;

  // setters for named parameter idiom
  Type & set__info(
    const service_msgs::msg::ServiceEventInfo_<ContainerAllocator> & _arg)
  {
    this->info = _arg;
    return *this;
  }
  Type & set__request(
    const rosidl_runtime_cpp::BoundedVector<bosch_locator_bridge::srv::StartRecording_Request_<ContainerAllocator>, 1, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<bosch_locator_bridge::srv::StartRecording_Request_<ContainerAllocator>>> & _arg)
  {
    this->request = _arg;
    return *this;
  }
  Type & set__response(
    const rosidl_runtime_cpp::BoundedVector<bosch_locator_bridge::srv::StartRecording_Response_<ContainerAllocator>, 1, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<bosch_locator_bridge::srv::StartRecording_Response_<ContainerAllocator>>> & _arg)
  {
    this->response = _arg;
    return *this;
  }

  // constant declarations

  // pointer types
  using RawPtr =
    bosch_locator_bridge::srv::StartRecording_Event_<ContainerAllocator> *;
  using ConstRawPtr =
    const bosch_locator_bridge::srv::StartRecording_Event_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<bosch_locator_bridge::srv::StartRecording_Event_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<bosch_locator_bridge::srv::StartRecording_Event_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      bosch_locator_bridge::srv::StartRecording_Event_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<bosch_locator_bridge::srv::StartRecording_Event_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      bosch_locator_bridge::srv::StartRecording_Event_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<bosch_locator_bridge::srv::StartRecording_Event_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<bosch_locator_bridge::srv::StartRecording_Event_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<bosch_locator_bridge::srv::StartRecording_Event_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__bosch_locator_bridge__srv__StartRecording_Event
    std::shared_ptr<bosch_locator_bridge::srv::StartRecording_Event_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__bosch_locator_bridge__srv__StartRecording_Event
    std::shared_ptr<bosch_locator_bridge::srv::StartRecording_Event_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const StartRecording_Event_ & other) const
  {
    if (this->info != other.info) {
      return false;
    }
    if (this->request != other.request) {
      return false;
    }
    if (this->response != other.response) {
      return false;
    }
    return true;
  }
  bool operator!=(const StartRecording_Event_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct StartRecording_Event_

// alias to use template instance with default allocator
using StartRecording_Event =
  bosch_locator_bridge::srv::StartRecording_Event_<std::allocator<void>>;

// constant definitions

}  // namespace srv

}  // namespace bosch_locator_bridge

namespace bosch_locator_bridge
{

namespace srv
{

struct StartRecording
{
  using Request = bosch_locator_bridge::srv::StartRecording_Request;
  using Response = bosch_locator_bridge::srv::StartRecording_Response;
  using Event = bosch_locator_bridge::srv::StartRecording_Event;
};

}  // namespace srv

}  // namespace bosch_locator_bridge

#endif  // BOSCH_LOCATOR_BRIDGE__SRV__DETAIL__START_RECORDING__STRUCT_HPP_
